# eric6.Helpviewer.AdBlock.AdBlockPage

Module implementing a class to apply AdBlock rules to a web page.

### Global Attributes

None

### Classes

AdBlockPage | Class to apply AdBlock rules to a web page.
AdBlockedPageEntry | Class implementing a data structure for web page rules.

### Functions

None

## AdBlockPage

Class to apply AdBlock rules to a web page.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

hideBlockedPageEntries | Public method to apply AdBlock rules to a web page.

### Static Methods

None

#### AdBlockPage.hideBlockedPageEntries

hideBlockedPageEntries(page)

Public method to apply AdBlock rules to a web page.

page
  reference to the web page (HelpWebPage)

Up

## AdBlockedPageEntry

Class implementing a data structure for web page rules.

### Derived from

object

### Class Attributes

None

### Class Methods

None

### Methods

AdBlockedPageEntry | Constructor
__eq__ | Special method to test equality.
urlString | Public method to get the URL as a string.

### Static Methods

None

#### AdBlockedPageEntry (Constructor)

AdBlockedPageEntry(rule, url)

Constructor

rule
  AdBlock rule to add (AdBlockRule)
url
  URL that matched the rule (QUrl)

#### AdBlockedPageEntry.__eq__

__eq__(other)

Special method to test equality.

other
  reference to the other entry (AdBlockedPageEntry)

Returns:
  flag indicating equality (boolean)

#### AdBlockedPageEntry.urlString

urlString()

Public method to get the URL as a string.

Returns:
  URL as a string (string)

Up